#ifndef __RIP_OR_INST_H
#define __RIP_OR_INST_H

#include "Windas.h"
#include "XedWrap.h"
#include "NativeCode.h"

BOOL JitEmitRipRelativeOrD(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);

BOOL JitEmitRipRelativeOrW(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);

BOOL JitEmitRipRelativeOrB(PNATIVE_CODE_BLOCK Block, INT32 RipDelta, ULONG Value);



#endif
